org.jgroups.util

## Class UnmodifiableVector

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector
      - - org.jgroups.util.UnmodifiableVector

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public class UnmodifiableVector
      extends java.util.Vector

  Vector which cannot be modified
  Author:
    Bela Ban
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnmodifiableVector(java.util.Vector v)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, java.lang.Object element)`
    `boolean` | `add(java.lang.Object o)`
    `boolean` | `addAll(java.util.Collection c)`
    `boolean` | `addAll(int index, java.util.Collection c)`
    `void` | `addElement(java.lang.Object obj)`
    `int` | `capacity()`
    `void` | `clear()`
    `java.lang.Object` | `clone()`
    `boolean` | `contains(java.lang.Object elem)`
    `boolean` | `containsAll(java.util.Collection c)`
    `void` | `copyInto(java.lang.Object[] anArray)`
    `java.lang.Object` | `elementAt(int index)`
    `java.util.Enumeration` | `elements()`
    `void` | `ensureCapacity(int minCapacity)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Object` | `firstElement()`
    `java.lang.Object` | `get(int index)`
    `int` | `hashCode()`
    `int` | `indexOf(java.lang.Object elem)`
    `int` | `indexOf(java.lang.Object elem, int index)`
    `void` | `insertElementAt(java.lang.Object obj, int index)`
    `boolean` | `isEmpty()`
    `java.util.Iterator` | `iterator()`
    `java.lang.Object` | `lastElement()`
    `int` | `lastIndexOf(java.lang.Object elem)`
    `int` | `lastIndexOf(java.lang.Object elem, int index)`
    `java.util.ListIterator` | `listIterator()`
    `java.util.ListIterator` | `listIterator(int index)`
    `java.lang.Object` | `remove(int index)`
    `boolean` | `remove(java.lang.Object o)`
    `boolean` | `removeAll(java.util.Collection c)`
    `void` | `removeAllElements()`
    `boolean` | `removeElement(java.lang.Object obj)`
    `void` | `removeElementAt(int index)`
    `boolean` | `retainAll(java.util.Collection c)`
    `java.lang.Object` | `set(int index, java.lang.Object element)`
    `void` | `setElementAt(java.lang.Object obj, int index)`
    `void` | `setSize(int newSize)`
    `int` | `size()`
    `java.util.List` | `subList(int fromIndex, int toIndex)`
    `java.lang.Object[]` | `toArray()`
    `java.lang.Object[]` | `toArray(java.lang.Object[] a)`
    `java.lang.String` | `toString()`
    `void` | `trimToSize()`

    - ### Methods inherited from class java.util.Vector

      `removeRange`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnmodifiableVector

          public UnmodifiableVector(java.util.Vector v)

  - ### Method Detail

    - #### copyInto

          public void copyInto(java.lang.Object[] anArray)

      Overrides:
        `copyInto` in class `java.util.Vector`

    - #### trimToSize

          public void trimToSize()

      Overrides:
        `trimToSize` in class `java.util.Vector`

    - #### ensureCapacity

          public void ensureCapacity(int minCapacity)

      Overrides:
        `ensureCapacity` in class `java.util.Vector`

    - #### setSize

          public void setSize(int newSize)

      Overrides:
        `setSize` in class `java.util.Vector`

    - #### capacity

          public int capacity()

      Overrides:
        `capacity` in class `java.util.Vector`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection`
      Specified by:
        `size` in interface `java.util.List`
      Overrides:
        `size` in class `java.util.Vector`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection`
      Specified by:
        `isEmpty` in interface `java.util.List`
      Overrides:
        `isEmpty` in class `java.util.Vector`

    - #### elements

          public java.util.Enumeration elements()

      Overrides:
        `elements` in class `java.util.Vector`

    - #### contains

          public boolean contains(java.lang.Object elem)

      Specified by:
        `contains` in interface `java.util.Collection`
      Specified by:
        `contains` in interface `java.util.List`
      Overrides:
        `contains` in class `java.util.Vector`

    - #### indexOf

          public int indexOf(java.lang.Object elem)

      Specified by:
        `indexOf` in interface `java.util.List`
      Overrides:
        `indexOf` in class `java.util.Vector`

    - #### indexOf

          public int indexOf(java.lang.Object elem,
                    int index)

      Overrides:
        `indexOf` in class `java.util.Vector`

    - #### lastIndexOf

          public int lastIndexOf(java.lang.Object elem)

      Specified by:
        `lastIndexOf` in interface `java.util.List`
      Overrides:
        `lastIndexOf` in class `java.util.Vector`

    - #### lastIndexOf

          public int lastIndexOf(java.lang.Object elem,
                        int index)

      Overrides:
        `lastIndexOf` in class `java.util.Vector`

    - #### elementAt

          public java.lang.Object elementAt(int index)

      Overrides:
        `elementAt` in class `java.util.Vector`

    - #### firstElement

          public java.lang.Object firstElement()

      Overrides:
        `firstElement` in class `java.util.Vector`

    - #### lastElement

          public java.lang.Object lastElement()

      Overrides:
        `lastElement` in class `java.util.Vector`

    - #### setElementAt

          public void setElementAt(java.lang.Object obj,
                          int index)

      Overrides:
        `setElementAt` in class `java.util.Vector`

    - #### removeElementAt

          public void removeElementAt(int index)

      Overrides:
        `removeElementAt` in class `java.util.Vector`

    - #### insertElementAt

          public void insertElementAt(java.lang.Object obj,
                             int index)

      Overrides:
        `insertElementAt` in class `java.util.Vector`

    - #### addElement

          public void addElement(java.lang.Object obj)

      Overrides:
        `addElement` in class `java.util.Vector`

    - #### removeElement

          public boolean removeElement(java.lang.Object obj)

      Overrides:
        `removeElement` in class `java.util.Vector`

    - #### removeAllElements

          public void removeAllElements()

      Overrides:
        `removeAllElements` in class `java.util.Vector`

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.util.Vector`

    - #### toArray

          public java.lang.Object[] toArray()

      Specified by:
        `toArray` in interface `java.util.Collection`
      Specified by:
        `toArray` in interface `java.util.List`
      Overrides:
        `toArray` in class `java.util.Vector`

    - #### toArray

          public java.lang.Object[] toArray(java.lang.Object[] a)

      Specified by:
        `toArray` in interface `java.util.Collection`
      Specified by:
        `toArray` in interface `java.util.List`
      Overrides:
        `toArray` in class `java.util.Vector`

    - #### get

          public java.lang.Object get(int index)

      Specified by:
        `get` in interface `java.util.List`
      Overrides:
        `get` in class `java.util.Vector`

    - #### set

          public java.lang.Object set(int index,
                             java.lang.Object element)

      Specified by:
        `set` in interface `java.util.List`
      Overrides:
        `set` in class `java.util.Vector`

    - #### add

          public boolean add(java.lang.Object o)

      Specified by:
        `add` in interface `java.util.Collection`
      Specified by:
        `add` in interface `java.util.List`
      Overrides:
        `add` in class `java.util.Vector`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection`
      Specified by:
        `remove` in interface `java.util.List`
      Overrides:
        `remove` in class `java.util.Vector`

    - #### add

          public void add(int index,
                 java.lang.Object element)

      Specified by:
        `add` in interface `java.util.List`
      Overrides:
        `add` in class `java.util.Vector`

    - #### remove

          public java.lang.Object remove(int index)

      Specified by:
        `remove` in interface `java.util.List`
      Overrides:
        `remove` in class `java.util.Vector`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection`
      Specified by:
        `clear` in interface `java.util.List`
      Overrides:
        `clear` in class `java.util.Vector`

    - #### containsAll

          public boolean containsAll(java.util.Collection c)

      Specified by:
        `containsAll` in interface `java.util.Collection`
      Specified by:
        `containsAll` in interface `java.util.List`
      Overrides:
        `containsAll` in class `java.util.Vector`

    - #### addAll

          public boolean addAll(java.util.Collection c)

      Specified by:
        `addAll` in interface `java.util.Collection`
      Specified by:
        `addAll` in interface `java.util.List`
      Overrides:
        `addAll` in class `java.util.Vector`

    - #### removeAll

          public boolean removeAll(java.util.Collection c)

      Specified by:
        `removeAll` in interface `java.util.Collection`
      Specified by:
        `removeAll` in interface `java.util.List`
      Overrides:
        `removeAll` in class `java.util.Vector`

    - #### retainAll

          public boolean retainAll(java.util.Collection c)

      Specified by:
        `retainAll` in interface `java.util.Collection`
      Specified by:
        `retainAll` in interface `java.util.List`
      Overrides:
        `retainAll` in class `java.util.Vector`

    - #### addAll

          public boolean addAll(int index,
                       java.util.Collection c)

      Specified by:
        `addAll` in interface `java.util.List`
      Overrides:
        `addAll` in class `java.util.Vector`

    - #### equals

          public boolean equals(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Collection`
      Specified by:
        `equals` in interface `java.util.List`
      Overrides:
        `equals` in class `java.util.Vector`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Collection`
      Specified by:
        `hashCode` in interface `java.util.List`
      Overrides:
        `hashCode` in class `java.util.Vector`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.Vector`

    - #### subList

          public java.util.List subList(int fromIndex,
                               int toIndex)

      Specified by:
        `subList` in interface `java.util.List`
      Overrides:
        `subList` in class `java.util.Vector`

    - #### listIterator

          public java.util.ListIterator listIterator()

      Specified by:
        `listIterator` in interface `java.util.List`
      Overrides:
        `listIterator` in class `java.util.Vector`

    - #### listIterator

          public java.util.ListIterator listIterator(int index)

      Specified by:
        `listIterator` in interface `java.util.List`
      Overrides:
        `listIterator` in class `java.util.Vector`

    - #### iterator

          public java.util.Iterator iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable`
      Specified by:
        `iterator` in interface `java.util.Collection`
      Specified by:
        `iterator` in interface `java.util.List`
      Overrides:
        `iterator` in class `java.util.Vector`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.